@import "default-theme.css";

// For testing theme override
// :root {
//   --drgstn-primary:#4285F4;
//   --drgstn-secondary:#303030;
//   --drgstn-success:#48C774;
//   --drgstn-warning:#f5f5f5;
//   --drgstn-danger:#ff2744;
//   --drgstn-background:#ffffff;
//   --drgstn-panel:#ededed;
//   --drgstn-info:#61c43d;
//   --drgstn-text-primary:#151515;
//   --drgstn-text-secondary:#ebecf0;
//   --drgstn-border:rgba(0, 0, 0, 0.2);
//   --drgstn-tooltip:rgba(74,74,74,0.9);
//   --drgstn-panel-secondary:#f5f5f5;
//   --drgstn-height:600px;
//   --drgstn-font-family:Helvetica Neue, sans-serif;
// }

#appWindow {
  background-color: var(--drgstn-background) !important;

  .dropdown-content {
    background-color: var(--drgstn-panel) !important;
    color: var(--drgstn-text-primary) !important;
  }

  .tile.notification.quick-start.warning {
    background-color: var(--drgstn-info) !important;
  }

  .tile.notification.quick-start {
    background-color: var(--drgstn-primary) !important;
    color: var(--drgstn-text-secondary) !important;
  }

  .card-header-title,
  .card-content,
  .title {
    color: var(--drgstn-text-primary) !important;
  }

  .card {
    background-color: var(--drgstn-panel) !important;
  }

  .card-footer,
  .card-footer-item:not(:last-child),
  .tabs ul,
  .tabs a .tabs a:hover {
    border-color: var(--drgstn-border) !important;
  }

  .tabs a {
    color: var(--drgstn-text-primary) !important;
  }

  .tabs.is-toggle a {
    border-color: var(--drgstn-border) !important;
  }

  .tabs.is-toggle a:hover {
    background-color: var(--drgstn-panel) !important;
  }

  .fa-spinner {
    color: var(--drgstn-secondary) !important;
  }

  .tabs li a {
    border-bottom: none;
  }

  .tabs li.is-active a,
  .tabs.is-toggle li.is-active a,
  .tabs a:hover {
    border-color: var(--drgstn-primary) !important;
    color: var(--drgstn-text-primary) !important;
    border-bottom: solid;
  }

  .content h4,
  .content h6 {
    color: var(--drgstn-text-primary) !important;
  }

  .has-text-normal,
  .modal-card-title {
    color: var(--drgstn-text-primary) !important;
  }

  .modal-card,
  .modal-card-body {
    background-color: var(--drgstn-panel) !important;
  }

  .modal-card-head,
  .modal-card-foot {
    border-color: var(--drgstn-border) !important;
    background-color: var(--drgstn-border) !important;
  }

  .tr {
    border-color: var(--drgstn-text-primary) !important;
  }

  // legend styles
  .legend {
    color: var(--drgstn-text-primary) !important;
  }

  .modal-card-head,
  .modal-card-foot {
    background-color: var(--drgstn-border) !important;
  }

  .modal-card-body {
    .label {
      color: var(--drgstn-text-primary) !important;
    }

    .input,
    .select select,
    .textarea,
    .box {
      background-color: var(--drgstn-panel-secondary) !important;
      border-color: var(--drgstn-border) !important;
      color: var(--drgstn-text-primary) !important;
    }
  }

  .input,
  .select select,
  .textarea,
  .box {
    background-color: var(--drgstn-panel-secondary) !important;
    border-color: var(--drgstn-border) !important;
  }

  .fa-check {
    color: var(--drgstn-success) !important;
  }

  app-task-list a, app-view-list a,
  a.card-header-icon {
    color: var(--drgstn-secondary) !important;
  }

  a:hover {
    color: var(--drgstn-primary) !important;
  }

  .button.is-primary {
    background-color: var(--drgstn-primary) !important;
    border-color: transparent !important;
    color: var(--drgstn-text-secondary) !important;
  }

  .button.is-primary.is-outlined {
    background-color: transparent !important;
    border-color: var(--drgstn-border) !important;
    color: var(--drgstn-primary) !important;
  }

  a.dropdown-item:hover,
  button.dropdown-item:hover {
    background-color: var(--drgstn-panel-secondary) !important;
  }

  .tissue-dropdown {
    background-color: var(--drgstn-panel) !important;
  }

  .button.is-primary.is-focused,
  .button.is-primary:focus {
    background-color: var(--drgstn-primary) !important;
    border-color: transparent !important;
    color: var(--drgstn-text-secondary) !important;
  }

  .button.is-primary.button.is-hovered,
  .button.is-primary.button:hover {
    color: var(--drgstn-text-secondary) !important;
    background-color: var(--drgstn-primary) !important;
  }

  .button.is-primary.is-focused:not(:active),
  .button.is-primary:focus:not(:active) {
    box-shadow: none !important;
  }

  .button.is-danger.is-outlined {
    border-color: var(--drgstn-danger) !important;
    color: var(--drgstn-danger) !important;
  }

  .button.is-success {
    background-color: var(--drgstn-success) !important;
    color: var(--drgstn-text-secondary) !important;
  }

  .text-primary {
    color: var(--drgstn-primary) !important;
  }

  .is-primary {
    background-color: var(--drgstn-primary) !important;
  }

  .ng-select .ng-select-container .ng-value-container .ng-input > input {
    color: var(--drgstn-text-primary) !important;
  }

  .fa-search.investigational,
  .fa-pause {
    color: var(--drgstn-warning) !important;
  }

  .fa-exclamation-triangle,
  .fa-times,
  .help,
  .delete:after,
  .delete:before,
  .modal-close:after,
  .modal-close:before {
    color: var(--drgstn-danger) !important;
  }

  .fa-check {
    color: var(--drgstn-success) !important;
  }

  .table {
    background-color: var(--drgstn-panel) !important;
    color: var(--drgstn-text-primary) !important;
  }

  .table thead td,
  .table thead th {
    color: var(--drgstn-text-primary) !important;
  }

  .button.is-hovered,
  .button:hover,
  .button {
    border-color: var(--drgstn-border) !important;
    font-family: var(--drgstn-font-family) !important;
  }

  a {
    color: var(--drgstn-secondary);
  }

  a:hover {
    color: var(--drgstn-text-primary);
  }

  .ng-select-container,
  .ng-dropdown-panel.ng-select-bottom {
    background-color: var(--drgstn-panel-secondary) !important;
    border-color: var(--drgstn-border) !important;

    .ng-value-container {
      .ng-placeholder {
        color: var(--drgstn-text-primary) !important;
      }
    }
  }

  .ng-dropdown-panel .ng-dropdown-panel-items .ng-option.ng-option-marked {
    background-color: var(--drgstn-panel) !important;
    color: var(--drgstn-text-primary) !important;
  }

  .ng-dropdown-panel .ng-dropdown-panel-items .ng-option {
    background-color: var(--drgstn-panel-secondary) !important;
    color: var(--drgstn-text-primary) !important;
  }

  .ng-select {
    .ng-arrow-wrapper .ng-arrow {
      border-top-color: var(--drgstn-text-primary) !important;
    }

    .ng-clear-wrapper,
    .ng-select-container {
      color: var(--drgstn-text-primary) !important;
    }
  }

  .ng-select.ng-select-opened > .ng-select-container .ng-arrow {
    border-bottom-color: var(--drgstn-text-primary) !important;
  }

  ::-webkit-scrollbar {
    width: 10px !important;
  }

  ::-webkit-scrollbar-track {
    background: var(--scrollbarBG) !important;
  }

  ::-webkit-scrollbar-thumb {
    background: var(--thumbBG) !important;
    border-radius: 6px !important;
    border: 3px solid var(--scrollbarBG) !important;
  }

  ::-moz-scrollbar-button:decrement,
  ::-moz-scrollbar-button:increment,
  ::-webkit-scrollbar-button:decrement,
  ::-webkit-scrollbar-button:increment {
    width: 0px !important;
  }

  .has-text-primary {
    color: var(--drgstn-text-primary) !important;
  }

  .has-text-secondary {
    color: var(--drgstn-text-secondary) !important;
  }

  .has-background-panel {
    color: var(--drgstn-panel) !important;
  }

  .algorithm-button.is-active {
    a {
      background-color: var(--drgstn-primary) !important;
    }

    a:hover {
      background-color: var(--drgstn-primary) !important;
    }
  }
}

// scrolllbar styles
network-expander {
  --thumbBG: var(--drgstn-primary) !important;
  --scrollbarBG: var(--drgstn-panel) !important;

  scrollbar-width: thin !important;
  scrollbar-color: var(--thumbBG) var(--scrollbarBG) !important;
}
